Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Upgrading 3G to 4.0 from 3.0.1

  1. #1
    Default Upgrading 3G to 4.0 from 3.0.1
    Do I need to restore to 3.12 or 3.13 before updating to 4.0 on the 3G?

    I saw the 4.0 jailbreak in tutorial section and want to make sure, before I proceed forward.

    Currently:
    BASEBAND: 04.26.08
    BOOTLOADER: 5.8
    MODEL: MB499
    FIRMWARE: 3.0.1


    Phone is currently jailbroken & unlocked on 3.0.1.

    Thank you,

    Vyvxguy

  2. #2
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    You don't need to, restore to custom firmware created by snowbreeze 2.0.2 and use ireb 4.1 to bypass error. Both can be downloaded from here iH8sn0w.com | Jailbreak your iPod touches and iPhones

  3. #3
    Where do I grab the custom firmware from, Iclarified? I should be good after that, thanks.

  4. #4
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Are you now still on 3.0.1 or 4.0 ?

    You don't grab the custom firmware, you create it yourself by using Snowbreeze 2.0.2 and use expert mode, uncheck the activate under General, you will need a sim card to activate.
    Last edited by iYeow; 2010-10-07 at 12:28 AM. Reason: Automerged Doublepost

  5. #5
    Community Manager Bo Troxell's Avatar
    Join Date
    Aug 2008
    Location
     Valley of the Sun, ARIZONA ♥♥♥
    Posts
    35,196
    Thanks
    5,590
    Thanked 12,540 Times in 7,596 Posts

    If you get any 2000 errors while the phone is updating, just un-plug the USB cord and plug it back in, it will continue.

  6. #6
    Quote Originally Posted by yeow202 View Post
    Are you now still on 3.0.1 or 4.0 ?

    You don't grab the custom firmware, you create it yourself by using Snowbreeze 2.0.2 and use expert mode, uncheck the activate under General, you will need a sim card to activate.
    I am currently on 3.0.1. Also, don't know which versions of softwares are most stable...4.0, 4.0.1 or 4.1?

    I opened up sn0wbreeze and chose expert mode then it asks next to find a firmware ipsw. I'm confused now, I thought it creates it. Do I need the real version from Iclarified..please explain further..sorry.

  7. #7
    Retired Moderator Cer0's Avatar
    Join Date
    Apr 2008
    Location
    MN/WI
    Posts
    14,099
    Thanks
    395
    Thanked 1,182 Times in 915 Posts

    You have to download the firmware too. Then point snowbreeze at it. The firmware can be found here: ModMyi Forums - Downloads - iPhone 3G 4.0
    [CENTER][SIGPIC][/SIGPIC][/CENTER]

  8. #8
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    Snowbreeze is not a magical potion or Genie. It is a tool to create a custom firmware and you will need the stock ( Apple ) firmware in order to create.
    You only need to check whatever Under General, you can skip the rest and go to build your custom firmware.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •